## gb 0.2.0

=== debian/changelog ===
gb (0.2.0-1) unstable; urgency=medium

  * Add new "golang-github-constabulary-gb-dev" package
  * Update to 0.2.0 upstream release

 -- Tianon Gravi <tianon@debian.org>  Thu, 24 Sep 2015 21:43:32 -0700

gb (0.1.2-2) unstable; urgency=medium

  * Fix DEP8 test by adding "bzr" to the test Depends

 -- Tianon Gravi <tianon@debian.org>  Thu, 17 Sep 2015 02:18:17 -0700

gb (0.1.2-1) unstable; urgency=medium

  * Update to 0.1.2 upstream release

 -- Tianon Gravi <tianon@debian.org>  Thu, 17 Sep 2015 01:24:15 -0700

gb (0.1.1-1) unstable; urgency=medium

  * Update to 0.1.1 upstream release
  * Remove patch that is now applied upstream

 -- Tianon Gravi <tianon@debian.org>  Fri, 11 Sep 2015 07:23:52 -0700

gb (0.1.0-2) unstable; urgency=medium

  * Fix description copy-pasta (Closes: #798144); thanks Josh!
  * Apply upstream patch to remove hard-coded -m64 references
    (Closes: #798135); thanks Aaron!

 -- Tianon Gravi <tianon@debian.org>  Sun, 06 Sep 2015 16:06:39 -0700

gb (0.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #794460)

 -- Tianon Gravi <tianon@debian.org>  Wed, 26 Aug 2015 09:28:00 -0700

=== debian/rules ===
#!/usr/bin/make -f

pristine-testdata:
	rsync -a --delete testdata/ '$(CURDIR)/obj-$(DEB_BUILD_GNU_TYPE)/src/github.com/constabulary/gb/testdata/'
	rsync -a --delete vendor/_testdata/ '$(CURDIR)/obj-$(DEB_BUILD_GNU_TYPE)/src/github.com/constabulary/gb/vendor/_testdata/'

override_dh_auto_test:
	./debian/rules pristine-testdata
	
	# some tests need network access (gated by -short), so we run those only via DEP8
	dh_auto_test -- -short

override_dh_auto_install:
	# re-copy pristine testdata so we delete garbage created by build/test
	./debian/rules pristine-testdata
	
	dh_auto_install

%:
	dh $@ --buildsystem=golang --with=golang

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/gb-$1\.tar\.gz/ \
  https://github.com/constabulary/gb/tags .*/v?(\d\S*)\.tar\.gz

## gb 0.3.0

=== debian/changelog ===
gb (0.3.0-1) unstable; urgency=medium

  * Update to 0.3.0 upstream release

 -- Tianon Gravi <tianon@debian.org>  Sun, 08 Nov 2015 10:18:21 -0800

## gb 0.3.1

=== debian/changelog ===
gb (0.3.1-1) unstable; urgency=medium

  * Update to 0.3.1 upstream release

 -- Tianon Gravi <tianon@debian.org>  Thu, 19 Nov 2015 21:31:31 -0800

## gb 1.0.11-19

=== DESCRIPTION ===
Package: gb
Version: 1.0.11-19
Date: 2011-11-11
Title: Generalize Lambda Distribution and Generalized Bootstrapping
Author: Bin Wang
        <bwang@jaguar1.usouthal.edu>.
Maintainer: Bin Wang <bwang@jaguar1.usouthal.edu>
Depends: R (>= 2.5.0), boot
Description: This package collects algorithms and functions for fitting data to a generalized lambda distribution via moment matching methods, and generalized bootstrapping.
License: Unlimited
Packaged: 2011-11-19 15:33:56 UTC; bwang
Repository: CRAN
Date/Publication: 2011-11-20 10:03:38

## gb 0.3.2

=== debian/changelog ===
gb (0.3.2-1) unstable; urgency=medium

  * Update to 0.3.2 upstream release
  * Update d/rules for new test fixtures that are not copied correctly

 -- Tianon Gravi <tianon@debian.org>  Mon, 30 Nov 2015 22:52:05 -0800

=== debian/control ===
Source: gb
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Tianon Gravi <tianon@debian.org>
Build-Depends: debhelper (>= 9), dh-golang, golang-go, rsync
Standards-Version: 3.9.6
Homepage: https://getgb.io
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/gb.git
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/gb.git
XS-Go-Import-Path: github.com/constabulary/gb

Package: gb
Architecture: any
Depends: golang-go, ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: project based build tool for Go
 "gb" is a proof of concept replacement build tool for the Go programming
 language.
 .
 "gb" operates on the concept of a project. A gb project is a workspace
 for all the Go code that is required to build your project.
 .
 A gb project is a folder on disk that contains a subdirectory named
 src/. That's it, no environment variables to set.
 .
 You can create as many projects as you like and move between them simply
 by changing directories.

Package: golang-github-constabulary-gb-dev
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: project based build tool for Go (source)
 "gb" is a proof of concept replacement build tool for the Go programming
 language.
 .
 "gb" operates on the concept of a project. A gb project is a workspace
 for all the Go code that is required to build your project.
 .
 A gb project is a folder on disk that contains a subdirectory named
 src/. That's it, no environment variables to set.
 .
 You can create as many projects as you like and move between them simply
 by changing directories.
 .
 This package contains the source.

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 pristine-testdata:
 	rsync -a --delete testdata/ '$(CURDIR)/obj-$(DEB_BUILD_GNU_TYPE)/src/github.com/constabulary/gb/testdata/'
+	rsync -a --delete fileutils/_testdata/ '$(CURDIR)/obj-$(DEB_BUILD_GNU_TYPE)/src/github.com/constabulary/gb/fileutils/_testdata/'
 	rsync -a --delete vendor/_testdata/ '$(CURDIR)/obj-$(DEB_BUILD_GNU_TYPE)/src/github.com/constabulary/gb/vendor/_testdata/'
 
 override_dh_auto_test:

=== debian/tests/control ===
Tests: go-test
Depends: bzr, ca-certificates, git, mercurial, openssh-client, @builddeps@
Restrictions: build-needed

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/gb-$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/ \
  https://github.com/constabulary/gb/tags .*/v?(\d\S*)\.tar\.gz

## gb 0.4.0

=== debian/changelog ===
gb (0.4.0-1) unstable; urgency=medium

  * Update to 0.4.0 upstream release
  * Add "golang-golang-x-tools" to Build-Depends and Recommends (for "godoc",
    invoked by "gb doc")

 -- Tianon Gravi <tianon@debian.org>  Tue, 26 Jan 2016 10:25:08 -0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,11 @@
 Priority: extra
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Tianon Gravi <tianon@debian.org>
-Build-Depends: debhelper (>= 9), dh-golang, golang-go, rsync
+Build-Depends: debhelper (>= 9),
+               dh-golang,
+               golang-go,
+               golang-golang-x-tools (>= 1:0.0~git20151026.0.0f9d71c-1~),
+               rsync
 Standards-Version: 3.9.6
 Homepage: https://getgb.io
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/gb.git
@@ -13,6 +17,7 @@
 Package: gb
 Architecture: any
 Depends: golang-go, ${misc:Depends}, ${shlibs:Depends}
+Recommends: golang-golang-x-tools (>= 1:0.0~git20151026.0.0f9d71c-1~)
 Built-Using: ${misc:Built-Using}
 Description: project based build tool for Go
  "gb" is a proof of concept replacement build tool for the Go programming

## gb 0.4.1

=== debian/changelog ===
gb (0.4.1-1) unstable; urgency=medium

  * Update to 0.4.1 upstream release
  * Backport https://github.com/constabulary/gb/pull/597
  * Update "Vcs-Git" to use "https"
  * Update Standards-Version to 3.9.8

 -- Tianon Gravi <tianon@debian.org>  Mon, 06 Jun 2016 15:48:03 -0700

gb (0.4.0-3) unstable; urgency=medium

  * Update patches to vendor two minor upstream PRs as-is (test-related):
    - https://github.com/constabulary/gb/pull/572
    - https://github.com/constabulary/gb/pull/574

 -- Tianon Gravi <tianon@debian.org>  Tue, 01 Mar 2016 12:17:45 -0800

gb (0.4.0-2) unstable; urgency=medium

  * Temporarily patch TestRaceMissing to support other platforms (fixes FTBFS)
    - https://github.com/constabulary/gb/issues/567

 -- Tianon Gravi <tianon@debian.org>  Tue, 23 Feb 2016 23:11:52 -0800

## gb 0.4.2

=== debian/changelog ===
gb (0.4.2-2) unstable; urgency=medium

  * Backport "-no-pie" testing patch from upstream PR #655 (Closes: #837480)

 -- Tianon Gravi <tianon@debian.org>  Sun, 20 Nov 2016 20:02:59 -0800

gb (0.4.2-1) unstable; urgency=medium

  * Update to 0.4.2 upstream release
    - remove old patches (all applied upstream now)

 -- Tianon Gravi <tianon@debian.org>  Thu, 23 Jun 2016 19:59:35 -0700

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
                golang-go,
                golang-golang-x-tools (>= 1:0.0~git20151026.0.0f9d71c-1~),
                rsync
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://getgb.io
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/gb.git
-Vcs-Git: git://anonscm.debian.org/pkg-go/packages/gb.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/gb.git
 XS-Go-Import-Path: github.com/constabulary/gb
 
 Package: gb

## gb 0.4.3

=== debian/changelog ===
gb (0.4.3-1) unstable; urgency=medium

  * Update to 0.4.3 upstream release
  * Fix failing autopkgtest (backport upstream patch)

 -- Tianon Gravi <tianon@debian.org>  Mon, 30 Jan 2017 21:00:02 -0800

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders: Tianon Gravi <tianon@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-golang,
+               golang-github-pkg-errors-dev,
                golang-go,
                golang-golang-x-tools (>= 1:0.0~git20151026.0.0f9d71c-1~),
                rsync
@@ -34,7 +35,7 @@
 
 Package: golang-github-constabulary-gb-dev
 Architecture: all
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: golang-github-pkg-errors-dev, ${misc:Depends}, ${shlibs:Depends}
 Description: project based build tool for Go (source)
  "gb" is a proof of concept replacement build tool for the Go programming
  language.

=== debian/rules ===
#!/usr/bin/make -f

# dh-golang doesn't copy everything we might need (and some tests create garbage in test directories)
pristine-testdata:
	set -ex; for path in \
		cmd/gb/internal/untar/_testdata \
		internal/fileutils/_testdata \
		internal/vendor/_testdata \
		testdata \
	; do \
		rsync -a --delete "$$path/" "_build/src/github.com/constabulary/gb/$$path/"; \
	done

override_dh_auto_test:
	./debian/rules pristine-testdata
	
	# some tests need network access (gated by -short), so we run those only via DEP8
	dh_auto_test -- -short

override_dh_auto_install:
	# re-copy pristine testdata so we delete garbage created by build/test
	./debian/rules pristine-testdata
	
	dh_auto_install

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=_build

## gb 0.4.4

=== debian/changelog ===
gb (0.4.4-2) unstable; urgency=medium

  * Team upload.
  * Build-Depend on golang 1.9. (Closes: #881107)
  * Use debhelper v10
  * Update to Standards-Version 4.1.1
    - Use HTTPS URL for d/copyright
    - Use Priority: optional
  * Remove empty d/patches directory

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 20 Nov 2017 17:18:26 +0100

gb (0.4.4-1) unstable; urgency=medium

  * Update to 0.4.4 upstream release
  * (Build-)Depends explicitly on golang-1.X-go (Closes: #868046)
  * Update DEP8 script to account for Depends change
  * Switch Homepage to GitHub (see https://getgb.io/news/upcoming-changes/)

 -- Tianon Gravi <tianon@debian.org>  Wed, 12 Jul 2017 12:21:33 -0700

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,23 @@
 Source: gb
 Section: devel
-Priority: extra
+Priority: optional
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Tianon Gravi <tianon@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-golang,
+               golang-1.9-go,
                golang-github-pkg-errors-dev,
-               golang-go,
                golang-golang-x-tools (>= 1:0.0~git20151026.0.0f9d71c-1~),
                rsync
-Standards-Version: 3.9.8
-Homepage: https://getgb.io
+Standards-Version: 4.1.1
+Homepage: https://github.com/constabulary/gb
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/gb.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/gb.git
 XS-Go-Import-Path: github.com/constabulary/gb
 
 Package: gb
 Architecture: any
-Depends: golang-go, ${misc:Depends}, ${shlibs:Depends}
+Depends: golang-1.9-go, ${misc:Depends}, ${shlibs:Depends}
 Recommends: golang-golang-x-tools (>= 1:0.0~git20151026.0.0f9d71c-1~)
 Built-Using: ${misc:Built-Using}
 Description: project based build tool for Go

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,13 @@
 #!/usr/bin/make -f
+
+# this should be updated to match the golang-1.X-go package used in d/control
+export PATH := /usr/lib/go-1.9/bin:$(PATH)
 
 # dh-golang doesn't copy everything we might need (and some tests create garbage in test directories)
 pristine-testdata:
 	set -ex; for path in \
-		cmd/gb/internal/untar/_testdata \
 		internal/fileutils/_testdata \
+		internal/untar/_testdata \
 		internal/vendor/_testdata \
 		testdata \
 	; do \
@@ -13,14 +16,23 @@
 
 override_dh_auto_test:
 	./debian/rules pristine-testdata
-	
+
 	# some tests need network access (gated by -short), so we run those only via DEP8
 	dh_auto_test -- -short
+
+# this is used by "d/tests/go-test" (DEP8)
+# it lives here to inherit the correct $PATH
+run-network-tests:
+	mkdir -p _build/src/github.com/constabulary/gb
+	rsync -a --delete /usr/share/gocode/src/github.com/constabulary/gb/ _build/src/github.com/constabulary/gb/
+	# the tests try to modify files, hence the copying
+	GOPATH="$$PWD/_build:/usr/share/gocode" \
+		go test -v github.com/constabulary/gb/...
 
 override_dh_auto_install:
 	# re-copy pristine testdata so we delete garbage created by build/test
 	./debian/rules pristine-testdata
-	
+
 	dh_auto_install
 
 %:

=== debian/tests/control ===
Tests: go-test
Depends: bzr, ca-certificates, git, mercurial, openssh-client, @builddeps@, @
Restrictions: rw-build-tree

## gb 1.0.11-24

=== DESCRIPTION ===
Package: gb
Version: 1.0.11-24
Date: 2011-11-11
Title: Generalize Lambda Distribution and Generalized Bootstrapping
Author: Bin Wang
        <bwang@jaguar1.usouthal.edu>.
Maintainer: Bin Wang <bwang@jaguar1.usouthal.edu>
Depends: R (>= 2.5.0), boot
Description: This package collects algorithms and functions for fitting data to a generalized lambda distribution via moment matching methods, and generalized bootstrapping.
License: Unlimited
Packaged: 2011-11-28 03:00:32 UTC; bwang
Repository: CRAN
Date/Publication: 2011-11-28 12:00:04

## gb 1.1.8-8

=== DESCRIPTION ===
Package: gb
Version: 1.1.8-8
Date: 2013-8-8
Title: Generalize Lambda Distribution and Generalized Bootstrapping
Author: Bin Wang
        <bwang@southalabama.edu>.
Maintainer: Bin Wang <bwang@southalabama.edu>
Depends: R (>= 2.5.0), boot
Description: This package collects algorithms and functions for fitting data to a generalized lambda distribution via moment matching methods, and generalized bootstrapping.
License: Unlimited
Packaged: 2013-08-08 16:55:37 UTC; bwang
Repository: CRAN
Date/Publication: 2013-08-08 19:46:47
NeedsCompilation: yes

## gb 2.3.3

=== DESCRIPTION ===
Package: gb
Version: 2.3.3
Date: 2018-3-31
Title: Generalize Lambda Distribution and Generalized Bootstrapping
Author: Bin Wang <bwang@southalabama.edu>.
Maintainer: Bin Wang <bwang@southalabama.edu>
Depends: R (>= 2.5.0), boot, KernSmooth
Description: A collection of algorithms and functions 
  for fitting data to a generalized lambda distribution 
  via moment matching methods, and generalized 
  bootstrapping.
License: Unlimited
Packaged: 2018-04-01 15:02:11 UTC; bwang
Repository: CRAN
Date/Publication: 2018-04-01 16:49:51 UTC
NeedsCompilation: yes
